/** InitialsTester.java tests the Initials.getInitials() method.
 * @author Joel Adams, for Alice+Java.
 */


public class InitialsTester {
	public static void main(String[] args) {
		testInitials();
	}
	
	public static void testInitials() {
		System.out.print("Testing initials()... ");
		String str = new Initials("").getInitials();
		assert str.equals("");
		str = new Initials("Dilbert").getInitials();
		assert str.equals("D");
		str = new Initials("Albert Einstein").getInitials();
		assert str.equals("AE");
		str = new Initials("Homer Jay Simpson").getInitials();
		assert str.equals("HJS");
		str = new Initials("John Ronald Ruel Tolkie").getInitials();
		assert str.equals("JRRT");
		System.out.println("Passed!");
	}

}
